<template>
  <ob-form
    :form-data="formData"
    :is-read-only="true"
    :dropdown-menu="dropdownMenu"
  >
    <div class="row">
      <div class="col-xs-12">
        <ob-input
          :label="dictionaryRu.modal.denomination"
          :value="selectedData.denomination"
          :disabled="true"
        />
      </div>
    </div>
    <div class="row">
      <div class="col-xs-12">
        <ob-input
          :label="dictionaryRu.modal.code"
          :value="selectedData.code"
          :disabled="true"
        />
      </div>
    </div>
    <div class="row">
      <div class="col-xs-12">
        <ob-textarea
          :label="dictionaryRu.modal.description"
          disabled="disabled"
          :value="selectedData.description"
        />
      </div>
    </div>
  </ob-form>
</template>

<script>
import ObInput        from 'common-components/src/obComponents/obInput';
import ObTextarea     from 'common-components/src/obComponents/obTextarea';
import ObForm         from 'common-components/src/obComponents/obForm';
import dropdownEvents from '@/mixins/dictionaries/dropdown-events';
import { dictionary } from '@/translations/ru/dictionaries__resources__tracking_methods';


export default {
  name: 'Country',
  components: {
    ObTextarea,
    ObInput,
    ObForm
  },
  mixins: [dropdownEvents],
  props: {
    selectedData: {
      type: Object,
      required: true,
      default: () => {}
    }
  },
  data () {
    return {
      dictionaryRu: dictionary
    }
  },
  computed: {
    formData() {
      return this.selectedData;
    }
  }
};
</script>
